Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Class IEssDomain.EEssDomainObjectType

    java.lang.Object
      com.essbase.api.domain.IEssDomain.EEssDomainObjectType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssDomain

public static final class IEssDomain.EEssDomainObjectType
extends java.lang.Object
implements IEssEnum

The EEssDomainObjectType is an enumeration of domain object types.

Field Summary
`static IEssDomain.EEssDomainObjectType` | `APPLICATION` Domain object type: Distributed (EES) application.
`static int` | `APPLICATION_INT_VALUE` Domain object type (int value): Distributed (EES) application.
`static IEssDomain.EEssDomainObjectType` | `CLUSTER` Domain object type: Cluster.
`static int` | `CLUSTER_INT_VALUE` Domain object type (int value): Cluster.
`static IEssDomain.EEssDomainObjectType` | `CONNECTION_POOL` Domain object type: Connection Pool.
`static int` | `CONNECTION_POOL_INT_VALUE` Domain object type (int value): Connection Pool.
`static IEssDomain.EEssDomainObjectType` | `CUBE_VIEW` Domain object type: Cube view.
`static int` | `CUBE_VIEW_INT_VALUE` Domain object type (int value): Cube view.
`static IEssDomain.EEssDomainObjectType` | `DOMAIN` Domain object type: Essbase domain.
`static int` | `DOMAIN_INT_VALUE` Domain object type (int value): Essbase domain.
`static IEssDomain.EEssDomainObjectType` | `ENTERPRISE_SERVER` Domain object type: Enterprise server.
`static int` | `ENTERPRISE_SERVER_INT_VALUE` Domain object type (int value): Enterprise server.
`static IEssDomain.EEssDomainObjectType` | `GROUP` Domain object type: Group.
`static int` | `GROUP_INT_VALUE` Domain object type (int value): Group.
`static IEssDomain.EEssDomainObjectType` | `INTEGRATION_SERVER` Domain object type: Integration server.
`static int` | `INTEGRATION_SERVER_INT_VALUE` Domain object type (int value): Integration server.
`static IEssDomain.EEssDomainObjectType` | `OLAP_SERVER` Domain object type: OLAP server.
`static int` | `OLAP_SERVER_INT_VALUE` Domain object type (int value): OLAP server.
`static IEssDomain.EEssDomainObjectType` | `ROLE` Domain object type: Role.
`static int` | `ROLE_INT_VALUE` Domain object type (int value): Role.
`static IEssDomain.EEssDomainObjectType` | `USER` Domain object type: User.
`static int` | `USER_INT_VALUE` Domain object type (int value): User.

Constructor Summary
`IEssDomain.EEssDomainObjectType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssDomain.EEssDomainObjectType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssDomain.EEssDomainObjectType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssDomain.EEssDomainObjectType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USER

    public static final IEssDomain.EEssDomainObjectType USER

  Domain object type: User.

### GROUP

    public static final IEssDomain.EEssDomainObjectType GROUP

  Domain object type: Group.

### ROLE

    public static final IEssDomain.EEssDomainObjectType ROLE

  Domain object type: Role. (FOR FUTURE USE).

### ENTERPRISE_SERVER

    public static final IEssDomain.EEssDomainObjectType ENTERPRISE_SERVER

  Domain object type: Enterprise server.

### OLAP_SERVER

    public static final IEssDomain.EEssDomainObjectType OLAP_SERVER

  Domain object type: OLAP server.

### INTEGRATION_SERVER

    public static final IEssDomain.EEssDomainObjectType INTEGRATION_SERVER

  Domain object type: Integration server. FOR FUTURE USE.

### APPLICATION

    public static final IEssDomain.EEssDomainObjectType APPLICATION

  Domain object type: Distributed (EES) application. FOR FUTURE USE.

### DOMAIN

    public static final IEssDomain.EEssDomainObjectType DOMAIN

  Domain object type: Essbase domain.

### CLUSTER

    public static final IEssDomain.EEssDomainObjectType CLUSTER

  Domain object type: Cluster.

### CONNECTION_POOL

    public static final IEssDomain.EEssDomainObjectType CONNECTION_POOL

  Domain object type: Connection Pool.

### CUBE_VIEW

    public static final IEssDomain.EEssDomainObjectType CUBE_VIEW

  Domain object type: Cube view. (FUTURE USE ONLY)

### USER_INT_VALUE

    public static final int USER_INT_VALUE

  Domain object type (int value): User.

  See Also:
    Constant Field Values

### GROUP_INT_VALUE

    public static final int GROUP_INT_VALUE

  Domain object type (int value): Group.

  See Also:
    Constant Field Values

### ROLE_INT_VALUE

    public static final int ROLE_INT_VALUE

  Domain object type (int value): Role. (FOR FUTURE USE).

  See Also:
    Constant Field Values

### ENTERPRISE_SERVER_INT_VALUE

    public static final int ENTERPRISE_SERVER_INT_VALUE

  Domain object type (int value): Enterprise server.

  See Also:
    Constant Field Values

### OLAP_SERVER_INT_VALUE

    public static final int OLAP_SERVER_INT_VALUE

  Domain object type (int value): OLAP server.

  See Also:
    Constant Field Values

### INTEGRATION_SERVER_INT_VALUE

    public static final int INTEGRATION_SERVER_INT_VALUE

  Domain object type (int value): Integration server. FOR FUTURE USE.

  See Also:
    Constant Field Values

### APPLICATION_INT_VALUE

    public static final int APPLICATION_INT_VALUE

  Domain object type (int value): Distributed (EES) application. FOR FUTURE USE.

  See Also:
    Constant Field Values

### DOMAIN_INT_VALUE

    public static final int DOMAIN_INT_VALUE

  Domain object type (int value): Essbase domain.

  See Also:
    Constant Field Values

### CLUSTER_INT_VALUE

    public static final int CLUSTER_INT_VALUE

  Domain object type (int value): Cluster.

  See Also:
    Constant Field Values

### CONNECTION_POOL_INT_VALUE

    public static final int CONNECTION_POOL_INT_VALUE

  Domain object type (int value): Connection Pool.

  See Also:
    Constant Field Values

### CUBE_VIEW_INT_VALUE

    public static final int CUBE_VIEW_INT_VALUE

  Domain object type (int value): Cube view. (FUTURE USE)

  See Also:
    Constant Field Values

Constructor Detail

### IEssDomain.EEssDomainObjectType

    public IEssDomain.EEssDomainObjectType()

Method Detail

### sm_fromString

    public static IEssDomain.EEssDomainObjectType sm_fromString(java.lang.String strValue)
                                                         throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssDomain.EEssDomainObjectType sm_fromInt(int intValue)
                                                      throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssDomain.EEssDomainObjectType[] sm_values()
                                                       throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD